## ot4_safetydrill_src.tgz

=== Makefile ===
#	Copyright (C) 2004 - 2006 rt2x00 SourceForge Project
#	<http://rt2x00.serialmonkey.com>
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the
#	Free Software Foundation, Inc.,
#	59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#	Module: Makefile
#	Abstract: Makefile for rt2x00 kernel module

#
# Set the enviroment variables.
#
ifndef SUBDIRS
	SUBDIRS=$(shell pwd)
endif

ifdef KERNDIR
	KERNEL_SOURCES := $(KERNDIR)
else
	KERNEL_SOURCES := /lib/modules/$(shell uname -r)/build
endif

ifdef KERNOUT
	KERNEL_OUTPUT := KBUILD_OUTPUT=$(KERNOUT)
else
	KERNEL_OUTPUT :=
endif

ifdef KBUILD_EXTMOD
	IEEE80211_DIR := $(KBUILD_EXTMOD)/ieee80211
	RFKILL_DIR := $(KBUILD_EXTMOD)/rfkill
	CRC_ITU_T_DIR := $(KBUILD_EXTMOD)/crc-itu-t
else
	IEEE80211_DIR := ieee80211
	RFKILL_DIR := rfkill
	CRC_ITU_T_DIR := /crc-itu-t
endif

#
# Include kernel and rt2x00 config.
#
include $(KERNEL_SOURCES)/.config
include $(SUBDIRS)/config

#
# Determine if and with what options the dscape stack should be build
#
80211-objs := \
	ieee80211/ieee80211.o \
	ieee80211/ieee80211_ioctl.o \
	ieee80211/ieee80211_scan.o \
	ieee80211/ieee80211_sta.o \
	ieee80211/ieee80211_dev.o \
	ieee80211/ieee80211_iface.o \
	ieee80211/ieee80211_rate.o \
	ieee80211/ieee80211_sysfs.o \
	ieee80211/ieee80211_sysfs_sta.o \
	ieee80211/sta_info.o \
	ieee80211/wme.o \
	ieee80211/wep.o \
	ieee80211/wpa.o \
	ieee80211/michael.o \
	ieee80211/tkip.o \
	ieee80211/aes_ccm.o

ifeq ($(CONFIG_D80211_LEDS),y)
	80211-objs += ieee80211/ieee80211_led.o
endif

ifeq ($(CONFIG_NET_SCHED),)
	80211-objs += ieee80211/fifo_qdisc.o
endif

rc80211_simple-objs := ieee80211/rc80211_simple.o

ifeq ($(CONFIG_D80211),y)
	obj-m += 80211.o rc80211_simple.o
ifeq ($(CONFIG_D80211_ASM),y)
	always += $(80211-objs:.o=.s) $(rc80211_simple-objs:.o=.s)
	EXTRA_CFLAGS := $(EXTRA_CFLAGS) -fverbose-asm
endif
endif

#
# Determine if and with what options the crc-itu-t driver should be build
#
crc-itu-t-objs := crc-itu-t/crc-itu-t.o

ifeq ($(CONFIG_CRC_ITU_T),y)
	obj-m += crc-itu-t.o
ifeq ($(CONFIG_CRC_ITU_T_ASM),y)
	always += $(crc-itu-t-objs:.o=.s)
	EXTRA_CFLAGS := $(EXTRA_CFLAGS) -fverbose-asm
endif
endif

#
# Determine if and with what options the rfkill driver should be build
#
rfkill-objs := rfkill/rfkill.o

ifeq ($(CONFIG_RFKILL),y)
	obj-m += rfkill.o
ifeq ($(CONFIG_RFKILL_ASM),y)
	always += $(rfkill-objs:.o=.s)
	EXTRA_CFLAGS := $(EXTRA_CFLAGS) -fverbose-asm
endif
endif

#
# Determine which and with what options the drivers should be build
#
ifeq ($(CONFIG_RT2400PCI),y)
	obj-m += rt2400pci.o
ifeq ($(CONFIG_RT2400PCI_ASM),y)
	always += rt2400pci.s
	EXTRA_CFLAGS := $(EXTRA_CFLAGS) -fverbose-asm
endif
endif

ifeq ($(CONFIG_RT2500PCI),y)
	obj-m += rt2500pci.o
ifeq ($(CONFIG_RT2500PCI_ASM),y)
	always += rt2500pci.s
	EXTRA_CFLAGS := $(EXTRA_CFLAGS) -fverbose-asm
endif
endif

ifeq ($(CONFIG_RT2500USB),y)
	obj-m += rt2500usb.o
ifeq ($(CONFIG_RT2500USB_ASM),y)
	always += rt2500usb.s
	EXTRA_CFLAGS := $(EXTRA_CFLAGS) -fverbose-asm
endif
endif

ifeq ($(CONFIG_RT61PCI),y)
	obj-m += rt61pci.o
ifeq ($(CONFIG_RT61PCI_ASM),y)
	always += rt61pci.s
	EXTRA_CFLAGS := $(EXTRA_CFLAGS) -fverbose-asm
endif
endif

ifeq ($(CONFIG_RT73USB),y)
	obj-m += rt73usb.o
ifeq ($(CONFIG_RT73USB_ASM),y)
	always += rt73usb.s
	EXTRA_CFLAGS := $(EXTRA_CFLAGS) -fverbose-asm
endif
endif

MAKEFLAGS += --no-print-directory
CFLAGS := -I$(IEEE80211_DIR) -I$(RFKILL_DIR) -I$(CRC_ITU_T_DIR) \
	-include $(SUBDIRS)/rt2x00_compat.h $(CFLAGS)
CPPFLAGS := -I$(IEEE80211_DIR) -I$(RFKILL_DIR) -I$(CRC_ITU_T_DIR) \
	-include $(SUBDIRS)/rt2x00_compat.h $(CPPFLAGS)

all: default

config_header:
	@if [ ! -f "rt2x00_config.h" ] || [ "rt2x00_config.h" -ot "config" ]; \
	then \
		awk -F = > rt2x00_config.h < config '/^CONFIG.*$\/ { \
			if($$2 == "y") { \
				print "#ifndef " $$1; \
				print "#define " $$1; \
				print "#endif"; \
				print "" \
			} else { \
				print "#undef " $$1; \
				print ""; \
			} \
		}'; \
	fi

default: config_header
	@$(MAKE) -C $(KERNEL_SOURCES) SUBDIRS=$(SUBDIRS) $(KERNEL_OUTPUT) \
		modules

install: config_header
	@$(MAKE) -C $(KERNEL_SOURCES) SUBDIRS=$(SUBDIRS) $(KERNEL_OUTPUT) \
		INSTALL_MOD_DIR=rt2x00 $(KERNEL_OUTPUT) modules_install
	/sbin/depmod -a

clean:
	@rm -f rt2x00_config.h
	@rm -f Modules.symvers Module.symvers
	@rm -f *.o ieee80211/*.o rfkill/*.o crc-itu-t/*.o
	@rm -f *.ko ieee80211/*.ko rfkill/*.ko crc-itu-t/*.ko
	@rm -f *.s ieee80211/*.s rfkill/*.s crc-itu-t/*.s
	@rm -f *.mod.c ieee80211/*.mod.c rfkill/*.mod.c crc-itu-t/*.mod.c
	@rm -f *~ ieee80211/*~ ieee80211/net/*~ rfkill/*~ rfkill/linux/*~ crc-itu-t/*~ crc-itu-t/linux/*~
	@rm -f .*.cmd ieee80211/.*.cmd rfkill/.*.cmd crc-itu-t/.*.cmd
	@rm -f .*.flags ieee80211/.*.flags rfkill/.*.flags crc-itu-t/.*.flags
	@rm -f .*.o.d ieee80211/.*.o.d rfkill/.*.o.d crc-itu-t/.*.o.d
	@rm -f .*.s.d ieee80211/.*.s.d rfkill/.*.s.d crc-itu-t/.*.s.d
	@rm -fr .tmp_versions ieee80211/.tmp_versions rfkill/.tmp_versions crc-itu-t/.tmp_versions

=== util/Makefile ===

all: aufs.5
aufs.5: aufs.in.5 ./c2tmac
	${RM} $@
	./c2tmac > $@
	cat aufs.in.5 >> $@
	chmod a-w $@

.INTERMEDIATE: c2tmac.o
#c2tmac.o: CFLAGS += -I ../include
c2tmac.o: c2tmac.c ../include/linux/aufs_type.h

clean:
	${RM} c2tmac aufs.5 *~ .*~

=== fs/aufs/Makefile ===
# AUFS Makefile for the Linux 2.6.16 and later

obj-$(CONFIG_AUFS) += aufs.o
aufs-y := super.o sbinfo.o xino.o branch.o opts.o \
	cpup.o wh.o wkq.o \
	dentry.o dinfo.o \
	file.o f_op.o finfo.o \
	dir.o vdir.o \
	inode.o i_op.o i_op_add.o i_op_del.o i_op_ren.o iinfo.o \
	misc.o
#xattr.o kobj.o
#aufs-$(CONFIG_PROC_FS) += proc.o
aufs-$(CONFIG_AUFS_DEBUG) += debug.o

=== modules/ndiswrapper-svn/driver/Makefile ===
DISTFILES=divdi3.c hal.c iw_ndis.c iw_ndis.h loader.c loader.h \
		longlong.h Makefile crt.c ndis.c ndis.h \
		ndiswrapper.h ntoskernel.c ntoskernel.h ntoskernel_io.c \
		pe_linker.c pe_linker.h pnp.c pnp.h proc.c rtl.c usb.c usb.h \
		winnt_types.h workqueue.c wrapmem.h wrapmem.c wrapper.c \
		wrapndis.h wrapndis.c lin2win.h win2lin_stubs.S

KVERS ?= $(shell uname -r)
KPSUB := $(shell echo $(KVERS) | sed -e 's/\([^\.]*\)\.\([^\.]*\)\..*/\1\2/')

# distros use different paths for kernel include files

KBUILD  ?= /lib/modules/$(KVERS)/build
KSRC ?= $(shell if \
	[ -f /lib/modules/$(KVERS)/source/include/linux/kernel.h ]; then \
		echo /lib/modules/$(KVERS)/source ; \
	else \
		echo $(KBUILD); \
	fi)

ifdef DIST_DESTDIR
DESTDIR = $(DIST_DESTDIR)
else
DESTDIR ?= /
endif

INST_DIR ?= $(shell echo $(DESTDIR)/lib/modules/$(KVERS)/misc | sed 's^//^/^g')

SRC_DIR=$(shell pwd)

KREV := $(shell echo $(KVERS) | sed -e 's/[^\.]*\.[^\.]*\.\([0-9]*\).*/\1/')

-include $(KBUILD)/.config

CFLAGS += $(shell [ -f $(KSRC)/include/linux/modversions.h ] && \
		  echo -DEXPORT_SYMTAB -DMODVERSIONS \
		  -include $(KSRC)/include/linux/modversions.h)

ifndef DISABLE_USB
CFLAGS += $(shell if grep -q 'struct module \*owner;' \
		   $(KSRC)/include/linux/usb.h ; then \
			echo -DUSB_DRIVER_OWNER; \
		  fi)
endif

# returns of structs and unions in registers when possible, like Windows 
CFLAGS += -freg-struct-return

# to produce debug trace, add option "DEBUG=<n>" where <n> is 1 to 6
ifdef DEBUG
CFLAGS += -DDEBUG=$(DEBUG) -g
endif

# to debug timers, add option "TIMER_DEBUG=1 DEBUG=<n>"
ifdef TIMER_DEBUG
CFLAGS += -DTIMER_DEBUG
endif

# to debug event layer, add option "EVENT_DEBUG=1 DEBUG=<n>"
ifdef EVENT_DEBUG
CFLAGS += -DEVENT_DEBUG
endif

# to debug USB layer, add option "USB_DEBUG=1 DEBUG=<n>"
ifdef USB_DEBUG
CFLAGS += -DUSB_DEBUG
endif

# to debug I/O layer, add option "USB_DEBUG=1 DEBUG=<n>"
ifdef IO_DEBUG
CFLAGS += -DIO_DEBUG
endif

# to debug worker threads
ifdef WORK_DEBUG
CFLAGS += -DWORK_DEBUG
endif

# if ALLOC_DEGUG=1 is defined, memory leak information is printed
#if ALLOC_DEBUG=2, details about individual allocations leaking is printed
#if ALLOC_DEBUG=3, tags in ExAllocatePoolWithTag leaking printed
ifdef ALLOC_DEBUG
CFLAGS += -DALLOC_DEBUG=$(ALLOC_DEBUG)
endif

# enable workaround for VIA VT6655
ifdef VT6655
CFLAGS += -DVT6655
endif

.PHONY: prereq_check gen_exports clean dist_clean install stack_check

all : prereq_check win2lin_stubs.h gen_exports default stack_check

OBJS := crt.o hal.o iw_ndis.o loader.o ndis.o ntoskernel.o ntoskernel_io.o \
	pe_linker.o pnp.o proc.o rtl.o wrapmem.o wrapndis.o wrapper.o

# by default, USB layer is compiled in if USB support is in kernel;
# to disable USB support in ndiswrapper even if USB support is in kenrel,
# add option "DISABLE_USB=1"

ifdef DISABLE_USB
usb_exports.h:

CFLAGS += -DDISABLE_USB
else
usb_exports.h: usb.c

ifeq ($(CONFIG_USB),y)
OBJS += usb.o
endif
ifeq ($(CONFIG_USB),m)
OBJS += usb.o
endif
endif

ifeq ($(KPSUB),24)
CFLAGS += -DUSE_OWN_WQ
OBJS += workqueue.o
endif

CFLAGS += $(shell if grep -s -A1 'ndiswrapper' $(KSRC)/kernel/module.c | \
			grep -q 'add_taint_module' ; then \
			echo -DUSE_OWN_WQ; \
		  fi)

ifdef USE_OWN_WQ
CFLAGS += -DUSE_OWN_WQ
OBJS += workqueue.o
endif

ntoskernel.h: lin2win.h

ndis.h: ntoskernel.h

iw_ndis.h: ntoskernel.h

pnp.h: ntoskernel.h ndis.h

wrapndis.h: ndis.h pnp.h

usb.h: ntoskernel.h

divdi3.o: divdi3.c longlong.h

hal.o: hal.c ntoskernel.h

iw_ndis.o: iw_ndis.c iw_ndis.h wrapndis.h

loader.o: loader.c loader.h ndis.h wrapndis.h

crt.o: crt.c ndis.h

ndis.o: ndis.c ndis.h iw_ndis.h wrapndis.h

wrapndis.o: wrapndis.c wrapndis.h

ntoskernel.o: ntoskernel.c ndis.h usb.h

ntoskernel_io.o: ntoskernel_io.c ndis.h usb.h

pe_linker.o: pe_linker.c

pnp.o: pnp.c

proc.o: proc.c ndis.h iw_ndis.h wrapndis.h

rtl.o: rtl.c ndis.h

usb.o: usb.c usb.h ndis.h

wrapper.o: wrapper.c wrapndis.h iw_ndis.h ntoskernel.h loader.h

ifeq ($(CONFIG_X86_64),y)
OBJS += win2lin_stubs.o
win2lin_stubs.o: win2lin_stubs.h win2lin_stubs.S

ifdef DISABLE_USB
win2lin_stubs.h: hal.c crt.c ndis.c ntoskernel.c ntoskernel_io.c \
	pnp.c rtl.c wrapndis.c
else
win2lin_stubs.h: hal.c crt.c ndis.c ntoskernel.c ntoskernel_io.c \
	pnp.c rtl.c usb.c wrapndis.c
endif
	@for file in $^; do \
		echo; \
		echo "# automatically generated from $$file"; \
		sed -n \
			-e 's/.*WIN_FUNC(\([^\,]\+\) *\, *\([0-9]\+\)).*/\
			   win2lin(\1, \2)/p'   \
			-e 's/.*WIN_FUNC_PTR(\([^\,]\+\) *\, *\([0-9]\+\)).*/\
			   win2lin(\1, \2)/p'   \
		   $$file | sed -e 's/[ \t	]\+//' | sort -u; \
	done > $@
else
win2lin_stubs.h:

OBJS += divdi3.o
endif

# generate exports symbol table from C files
%_exports.h: %.c
	@if :; then \
		echo "/* automatically generated from $< */"; \
		echo "#ifdef CONFIG_X86_64"; \
		sed -n \
			-e 's/.*WIN_FUNC(\([^\,]\+\) *\, *\([0-9]\+\)).*/\
			   WIN_FUNC_DECL(\1, \2)/p' \
			-e 's/.*WIN_FUNC_PTR(\([^\,]\+\) *\, *\([0-9]\+\)).*/\
			   WIN_FUNC_DECL(\1, \2)/p' \
		   $< | sed -e 's/[ \t	]\+//' | sort -u; \
		echo "#endif"; \
		echo "struct wrap_export $(basename $<)_exports[] = {";\
		sed -n \
			-e 's/.*WIN_FUNC(_win_\([^\,]\+\) *\, *\([0-9]\+\)).*/\
				WIN_WIN_SYMBOL(\1,\2),/p' \
			-e 's/.*WIN_FUNC(\([^\,]\+\) *\, *\([0-9]\+\)).*/\
				WIN_SYMBOL(\1,\2),/p' \
			-e 's/.*WIN_SYMBOL_MAP(\("[^"]\+"\)[ ,\n]\+\([^)]\+\)).*/\
				{\1,(generic_func)\2},/p'  \
			   $< | sed -e 's/[ \t	]*/   /' | sort -u; \
		echo "   {NULL, NULL}"; \
		echo "};"; \
	fi > $@

gen_exports: crt_exports.h ndis_exports.h hal_exports.h ntoskernel_exports.h \
			 ntoskernel_io_exports.h rtl_exports.h usb_exports.h

prereq_check:
	@if [ ! -f $(KBUILD)/include/linux/version.h ]; then \
		echo "Can't find kernel build files in $(KBUILD);"; \
		echo "  give the path to kernel build directory with " ; \
		echo "  KBUILD=<path> argument to make";\
		exit 1;\
	fi
	@if [ ! -f $(KSRC)/include/linux/kernel.h ]; then \
		echo "Can't find kernel build files in $(KSRC);"; \
		echo "  give the path to kernel build directory with " ; \
		echo "  KSRC=<path> argument to make";\
		exit 1;\
	fi

clean:
	rm -rf $(MODULE) ndiswrapper.o $(OBJS) usb.o win2lin_stubs.o \
	   divdi3.o workqueue.o .*.ko.cmd .*.o.cmd \
	   ndiswrapper.mod.[oc] *~ .tmp_versions Modules.symvers Module.symvers

distclean: clean
	rm -f *_exports.h .\#* win2lin_stubs.h

ifeq ($(KPSUB),24)

MODULE := ndiswrapper.o
CFLAGS  += -DLINUX -D__KERNEL__ -DMODULE -I$(KSRC)/include \
		  -Wall -Wstrict-prototypes -fomit-frame-pointer    \
		  -fno-strict-aliasing -pipe -O2

ifneq ($(CONFIG_X86_64),y)
CFLAGS += -mpreferred-stack-boundary=2 
endif
default: $(OBJS)
	$(LD) -r -o $(MODULE) $(OBJS)
else

MODULE := ndiswrapper.ko
obj-m := ndiswrapper.o 

ndiswrapper-objs := $(OBJS)

default:
	$(MAKE) -C $(KBUILD) SUBDIRS=$(SRC_DIR)

endif

stack_check:
	@if [ "x$(CONFIG_X86_64)" = "x" -a $(KPSUB) -eq 26 ] && \
	     ! grep -q CONFIG_4KSTACKS $(KBUILD)/.config || \
	       grep -q "CONFIG_4KSTACKS=y" $(KBUILD)/.config; then \
	    echo; echo; \
	    echo "*** WARNING: This kernel seems to use 4K stack size"\
		 "option (CONFIG_4KSTACKS); many Windows drivers will"\
		 "not work with this option enabled. Disable"\
		 "CONFIG_4KSTACKS option, recompile and install kernel";\
	    echo; echo; \
	fi

install: prereq_check win2lin_stubs.h gen_exports default stack_check
	echo $(INST_DIR)
	mkdir -p $(INST_DIR)
	install -m 0644 $(MODULE) $(INST_DIR)
	-@/bin/rm -rf $(SRC_DIR)/.tmp_versions
ifndef DIST_DESTDIR
	-/sbin/depmod -a $(KVERS) -b $(DESTDIR)
endif

dist:
	@for file in $(DISTFILES); do \
	  cp  $$file $(distdir)/$$file; \
	done

=== modules/aufs-cvs/fs/aufs/Makefile ===
# AUFS Makefile for the Linux 2.6.16 and later

obj-$(CONFIG_AUFS) += aufs.o
aufs-y := super.o sbinfo.o xino.o branch.o opts.o \
	cpup.o wh.o wkq.o \
	dentry.o dinfo.o \
	file.o f_op.o finfo.o \
	dir.o vdir.o \
	inode.o i_op.o i_op_add.o i_op_del.o i_op_ren.o iinfo.o \
	misc.o
#xattr.o kobj.o
aufs-$(CONFIG_AUFS_HINOTIFY) += hinotify.o
aufs-$(CONFIG_AUFS_DEBUG) += debug.o

=== modules/loop-aes/ciphers/tmp-d-kbuild/Makefile ===
obj-m:=loop_twofish.o loop_serpent.o loop_blowfish.o

=== modules/loop-aes/loop-AES/tmp-d-kbuild/Makefile ===
loop-y:=patched-loop.o glue.o aes-x86.o md5-x86.o
EXTRA_CFLAGS:=    -DCONFIG_BLK_DEV_LOOP_KEYSCRUB=1 -DX86_ASM
obj-m:=loop.o

=== debian/aufs-knoppix-source/usr/src/modules/aufs-knoppix/debian/changelog ===
aufs-knoppix (20060807-1) unstable; urgency=low

  * Initial release of aufs.

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 20 Aug 2006 21:39:28 +0200

unionfs-knoppix (20060221-0341) unstable; urgency=low

  * Upgrade to new snapshot version

 -- Klaus Knopper <knoppix@knopper.net>  Thu, 23 Feb 2006 21:33:37 +0100

unionfs-knoppix (20060215-0551) unstable; urgency=low

  * Upgrade to new snapshot version

 -- Klaus Knopper <knoppix@knopper.net>  Fri, 17 Feb 2006 21:32:32 +0100

unionfs-knoppix (20050921-1517) unstable; urgency=low

  * Using current snapshot with off-by-one-kmalloc fix by Junjiro Okajima
  * Corrected unionfs_permission() by replacing vfs permission() call.
  * Added "chmod" copyup bugfix from Denis Lukianov

 -- Klaus Knopper <knoppix@knopper.net>  Fri, 23 Sep 2005 12:39:28 +0200

unionfs-knoppix (1.0.11-3) unstable; urgency=low

  * Added patches from some snapshots after 1.0.11, especially MAGIC number

 -- Klaus Knopper <knoppix@knopper.net>  Mon, 12 Sep 2005 04:10:07 +0200

unionfs-knoppix (1.0.11-2) unstable; urgency=low

  * Created unionfs fork based on unionfs-1.0.11 (the yet most stable version)

 -- Klaus Knopper <knoppix@knopper.net>  Mon, 29 Aug 2005 02:02:46 +0200

unionfs (1.0.6-0) unstable; urgency=low

  * modified ndiswrapper debian/ for unionfs

 -- Alex de Landgraaf <alex@delandgraaf.com>  Sun,  9 Jan 2005 17:45:19 +0100

ndiswrapper (0.12+1.0rc1-1) unstable; urgency=low

  * Built for kernel-image-2.6.9.

 -- Andres Salomon <dilinger@voxel.net>  Wed, 29 Dec 2004 03:06:16 -0500

=== debian/changelog ===
aufs-cvs (20060911-1) unstable; urgency=low

  * New upstream version

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 17 Sep 2006 16:37:51 +0200

aufs-cvs (20060904-1) unstable; urgency=low

  * New upstream version
  * Changed unionfs->aufs (no more COMPAT)

 -- Klaus Knopper <knoppix@knopper.net>  Fri,  8 Sep 2006 00:36:36 +0200

aufs-cvs (20060828-1) unstable; urgency=low

  * Initial release of aufs.

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 20 Aug 2006 21:39:28 +0200

=== loop-aes/debian/changelog ===
loop-aes (3.1d-12) unstable; urgency=low

  * Update modules to 2.6.18-3 
  * Provide usage information for loop-aes-runtests
  * Reenable keyscrub by default

 -- Max Vozeler <xam@debian.org>  Fri, 24 Nov 2006 20:11:06 +0100

loop-aes (3.1d-11) unstable; urgency=low

  * Update modules to 2.6.18-2
  * Add manpage for loop-aes-runtests
  * Make loop-aes-runtest quiet by default, add -v
  * Set maintainer to Debian Loop-AES Team

 -- Max Vozeler <xam@debian.org>  Thu,  9 Nov 2006 19:13:31 +0100

loop-aes (3.1d-10) unstable; urgency=low

  * Update the package name for dpkg-divert. (Closes: #392841)
  * Drop conflicts with loop-aes-ciphers-$KVERS

 -- Max Vozeler <xam@debian.org>  Sun, 15 Oct 2006 17:35:09 +0200

loop-aes (3.1d-9) unstable; urgency=low

  * Update to 2.6.18-1
  * Respect modules: False in arch defines. (Closes: #390554)
  * Use a hardlink for loop-aes.ko -> loop.ko

 -- Max Vozeler <xam@debian.org>  Sat,  7 Oct 2006 17:55:18 +0200

loop-aes (3.1d-8) unstable; urgency=low

  * Revert back to 2.6.17-2 for upload to unstable

 -- Max Vozeler <xam@debian.org>  Sun,  1 Oct 2006 18:59:30 +0200

loop-aes (3.1d-7) experimental; urgency=low

  * Update to 2.6.18-1
  * Build-depend on fakeroot

 -- Max Vozeler <xam@debian.org>  Thu, 28 Sep 2006 18:14:02 +0200

loop-aes (3.1d-6) experimental; urgency=low

  * Include symlink loop-aes.ko -> loop.ko
  * Change short description to include @class@
  * Only include NEWS in loop-aes-source

 -- Max Vozeler <xam@debian.org>  Sun, 24 Sep 2006 19:53:00 +0200

loop-aes (3.1d-5) experimental; urgency=low

  * Use linux-support infrastructure
  * Merge loop-aes-source and loop-aes-modules
  * No longer build udebs

 -- Max Vozeler <xam@debian.org>  Wed, 22 Sep 2006 12:20:54 +0200

loop-aes-source (3.1d-4) unstable; urgency=low

  * Rename module packages to loop-aes-modules-$KVERS and add 
    corresponding Conflicts/Replaces.
  * Split loop-AES runtime test suite into a separate package.
  * Drop support for DEB_BUILD_OPTIONS=udeb
  * Update to standards version 3.7.2 (no changes)

 -- Max Vozeler <xam@debian.org>  Mon,  7 Aug 2006 15:24:49 +0200

loop-aes-source (3.1d-3) unstable; urgency=low

  * No longer pass CC to the loop-AES/ciphers Makefiles. 
    Doing so breaks builds for parisc64 kernels (hppa).

 -- Max Vozeler <xam@debian.org>  Sat, 29 Apr 2006 20:39:42 +0200

loop-aes-source (3.1d-2) unstable; urgency=low

  * Add information about loading the module on boot to
    README.Debian. (Closes: #363522)
  * Make sure debian/rules in loop-aes.tar.bz2 is executable
  * debian/rules: Add noop build target
  * debian/control: Build-depend on debhelper

 -- Max Vozeler <xam@debian.org>  Fri, 28 Apr 2006 10:11:57 +0200

loop-aes-source (3.1d-1) unstable; urgency=low

  * New upstream release (3.1d, ciphers 3.0d)
  * patches/10_kbuild_str_2.6.16:
    - Included upstream

 -- Max Vozeler <xam@debian.org>  Mon, 10 Apr 2006 17:04:31 +0200

loop-aes-source (3.1c-5) unstable; urgency=low

  * Include README.modules in /usr/share/doc/loop-aes-source
    and add information about the new checkfs-loop init script.

 -- Max Vozeler <xam@debian.org>  Mon, 10 Apr 2006 03:30:01 +0200

loop-aes-source (3.1c-4) unstable; urgency=low

  * patches/10_kbuild_str_2.6.16:
    Add patch to fix builds for kernel 2.6.16 (Closes: #358568)

 -- Max Vozeler <xam@debian.org>  Thu, 23 Mar 2006 15:57:05 +0100

loop-aes-source (3.1c-3) unstable; urgency=low

  * Include a dummy debian/patches/00list. (Closes: #354204)

 -- Max Vozeler <xam@debian.org>  Sat, 25 Feb 2006 18:20:13 +0100

loop-aes-source (3.1c-2) unstable; urgency=low

  * Install upstream changelogs
  * Rename directories in modules/ to not include version numbers.
  * reqsrc() is no longer needed, install m-a override (default.sh)
  * Install 2.6 modules into /lib/modules/$(KERNEL)/updates and
    remove obsolete diversions on upgrade.

 -- Max Vozeler <xam@debian.org>  Sun, 22 Jan 2006 14:23:20 +0100

loop-aes-source (3.1c-1) unstable; urgency=low

  * New upstream release

 -- Max Vozeler <xam@debian.org>  Mon, 12 Dec 2005 16:27:15 +0100

loop-aes-source (3.1b-8) unstable; urgency=low

  * Drop recommends on kernel-source 
  * Some work on the package descriptions

 -- Max Vozeler <xam@debian.org>  Mon, 12 Dec 2005 15:35:37 +0100

loop-aes-source (3.1b-7) unstable; urgency=low

  * Updated documentation to reflect that linux-headers are
    now sufficient to build loop-AES.
  * Autoload loop.ko in the testsuite

 -- Max Vozeler <xam@debian.org>  Sat, 10 Dec 2005 02:58:39 +0100

loop-aes-source (3.1b-6) unstable; urgency=low

  * This version can build with -headers
  * Generate module dependencies also for non-running kernels
    (inspired by alsa-driver)
  * Remove code for upgrading from pre-sarge versions

 -- Max Vozeler <xam@debian.org>  Tue,  1 Nov 2005 16:50:47 +0100

loop-aes-source (3.1b-5) unstable; urgency=low

  * debian/patches/v3.1b-20051020.dpatch:
    + Added. Includes XEN fix.
  * debian/patches/xen_oops_wbinvd.dpatch:
    + Removed.

 -- Max Vozeler <xam@debian.org>  Thu, 20 Oct 2005 18:17:08 +0200

loop-aes-source (3.1b-4) unstable; urgency=low

  * Install udeb modules into the correct /lib/modules directory

 -- Max Vozeler <xam@debian.org>  Wed, 19 Oct 2005 15:55:33 +0200

loop-aes-source (3.1b-3) unstable; urgency=low

  * debian/patches/xen_oops_wbinvd.dpatch:
    + Prevent use of the wbinvd instruction when building
      for XEN kernels. (Closes: #331507)

 -- Max Vozeler <xam@debian.org>  Sun,  9 Oct 2005 21:47:06 +0200

loop-aes-source (3.1b-2) unstable; urgency=low

  * Depend on dpatch (>= 2.0.0) for the new patch system 
    introduced in 3.1b-1

 -- Max Vozeler <xam@debian.org>  Mon,  3 Oct 2005 13:58:43 +0200

loop-aes-source (3.1b-1) unstable; urgency=low

  * New upstream release (loop-AES v3.1b)
  * Merge with package -ciphers-source
  * Build loop-AES and ciphers with shared modverdir
  * Add get-orig-source target



=== madwifi/debian/changelog ===
madwifi (1:0.9.2+r1842.20061207-2) unstable; urgency=high

  * Add upstream revision 1847 as a new dpatch to completely fix
    CVE-2006-6332; thanks Luk Claes; closes: #402836.

 -- Loic Minier <lool@dooz.org>  Thu, 14 Dec 2006 20:44:37 +0100

madwifi (1:0.9.2+r1842.20061207-1) unstable; urgency=medium

  * New upstream SVN snapshot
    - buffer overflow exploit fixed (CVE-2006-6332)
  * Urgency medium to allow security fix to propogate to testing asap.

 -- Kel Modderman <kelmo@kanotixguide.org>  Fri,  8 Dec 2006 08:06:01 +1000

madwifi (1:0.9.2+r1809.20061115-1) unstable; urgency=low

  * New upstream SVN snapshot.
    - fixes TARGET determination for powerpc (Closes: #398241)

 -- Kel Modderman <kelmo@kanotixguide.org>  Wed, 15 Nov 2006 19:24:39 +1000

madwifi (1:0.9.2+r1784.20061027-1) unstable; urgency=low

  * New upstream SVN snapshot.
    - new binary HAL version 0.9.18.0 with support for more chipsets
  * Change of uploaders email address.
  * Fix madwifi-ng-tools typo. [debian/control]
  * Remove mention of files relicensed upstream in 'Problematic' section of
    copyright. [debian/copyright]

 -- Kel Modderman <kelmo@kanotixguide.org>  Mon, 30 Oct 2006 14:07:36 +1000

madwifi (1:0.9.2+r1710.20060914-1) unstable; urgency=low

  * New upstream SVN snapshot.
    - HAL version 0.9.18.0
    - support for pci-e chipsets
  * Add epoch to alow better representation of upstream source version.
  * Purge madwifi-tools from non-free source package. [debian/madwifi-tools.*,
    debian/rules, debian/control]
  * Fix copyright => _everything_ in /hal directory is subject to the legally
    "immutable" license. [debian/copyright]
  * Remove slh from uploaders at his request. He has no relationship with this
    package whatsoever any more. [debian/control*]
  * Remove dummy SNAPSHOT file hack in favour of a planned version schema +
    get-orig-source target, useful for grabbing snapshot tarballs. Please do
    not use an SVN export to build future orig.tar.gz's for this package.
    [debian/rules]

 -- Kel Modderman <kelmo@kanotixguide.org>  Sun,  1 Oct 2006 23:00:02 +1000

madwifi (0.svnr1697.0.9.2-1) unstable; urgency=low

  * New upstream release.
    - compiles against current 2.6.18 tree
  * Add some shell code to make a dummy SNAPSHOT file for the case when we
    decide to base this package on an svn export or snapshot (it is almost
    always the case!). [debian/rules]
  * Also remove $(CC) override in build/madwifi-tools. [debian/rules]
  * Add upstream URL to long description of each binary package.
    [debian/control]

 -- Kel Modderman <kelrin@tpg.com.au>  Sat,  5 Aug 2006 12:09:19 +1000

madwifi (0.svnr1680.0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Exclude .svn stuff from orig.tar.gz and resulting module tarball.
    [debian/rules] (Closes: #374401)
  * Add some further links to documentation section of madwifi-source
    README.Debian.
  * Remove $(CC) and $(LD) overrides, madwifi upstream is now behaving in that
    regard. [debian/rules.modules]
  * Disable dpatch system and remove dependency. [debian/control, debian/rules]
  * Build depend on debhelper >= 5.0.37, so that dh_installmodules always
    creates correct postinst and postrm scripts. [debian/control*]
  * madwifi-tools do not depend on ifupdown to function properly, therefore it
    should only be recommended. [debian/control]
  * madwifi-source suggests madwifi-tools, madwifi-source and madwifi-tools
    suggest madwifi-doc. [debian/control]
  * Add a note to madwifi-source.README.debian about possible upgrade
    conflicts with the unofficial packages from http://debian.marlow.dk/.
    (Closes: #375962)
  * Remove dh_installdebconf from rules.modules, it is unused.
    [debian/rules.modules]

 -- Kel Modderman <kelrin@tpg.com.au>  Sat,  8 Jul 2006 20:53:14 +1000

madwifi (0.svnr1644.0.9.0-2) unstable; urgency=low

  [ Kel Modderman ]
  * Modules only depend on equal to or greater than source version of
    madwifi-tools, to avoid upgrade path problems.

  [ Loic Minier ]
  * Drop the version in the Depends altogether.

 -- Loic Minier <lool@dooz.org>  Fri, 16 Jun 2006 10:41:45 +0200

madwifi (0.svnr1644.0.9.0-1) unstable; urgency=medium

  [ Kel Modderman ]
  * New upstream SVN snapshot.
    - new HAL (0.9.17.2)
    - enhanced Makefile/kbuild build system
  * s/MODULEPATH/KMODPATH/ in debian/rules.modules.
  * Global renaming of madwifi-ng => madwifi. The old madwifi codebase has
    been deprecated upstream, we should not confuse our own users.This also
    eliminates a large source of upgrade difficulties. [debian/*]
  * Update copyright file to include details of new HAL binaries and BSD
    licensed files. [debian/copyright]
  * Use debhelper compat level of 5 (dh_installmodules requires the most recent
    debhelper to function correctly). [debian/control*]
  * Include official upstream release version number in our debian revision.
  * Adjust watch file for new debian revision number scheme.

  [ Loic Minier ]
  * Don't prune .svn dirs in this upload as it breaks the upstream build
    system for SVN snapshot; upstream ticket #694.

 -- Loic Minier <lool@dooz.org>  Wed, 14 Jun 2006 11:28:03 +0200

madwifi (0.svnr1587.20060521-1) experimental; urgency=low

  * New upstream SVN snapshot.
  * Add workaround patches to current upstream scanning problems:
    - active scanning patch from #275.
    - setmode delay patch from #228.
  * Allow patches subdir of madwifi upstream to be in debian tarball. It is
    working now. [debian/rules]
  * Remove Conflicts: fields from control files.
    [debian/control, debian/control.modules.in]
  * Remove madwifi-ng-dev, it is not satisfying any build dependency.
    [debian/control, debian/madwifi-ng-dev.*]
  * Introduce madwifi-ng-doc, it will contain the users-guide documentation.
    [debian/control, debian/madwifi-ng-doc.docs]
  * Make wlanconfig verbose when asked for. [debian/ifupdown/pre-up]


=== modules/aufs-cvs/debian/changelog ===
aufs-cvs (20061113-1) unstable; urgency=low

  * New upstream version

 -- Klaus Knopper <knoppix@knopper.net>  Mon, 13 Nov 2006 07:14:07 +0100

=== modules/madwifi-svn/debian/changelog ===
madwifi (1:0.9.2+r1866-1) unstable; urgency=low

  * SVN update

 -- Klaus Knopper <knoppix@knopper.net>  Mon, 20 Nov 2006 09:36:15 +0100

madwifi (1:0.9.2+r1710.20060914-2) unstable; urgency=low

  * SVN version.

 -- Klaus Knopper <knoppix@knopper.net>  Mon,  6 Nov 2006 23:22:35 +0100

=== modules/ndiswrapper-svn/debian/changelog ===
ndiswrapper (1:1.32knoppix-1) unstable; urgency=low

  *  Update to new upstream SVN version.

 -- Klaus Knopper <knoppix@knopper.net>  Sat, 23 Dec 2006 19:10:46 +0100

ndiswrapper (1.23-2) unstable; urgency=low

  * SVN Version

 -- Klaus Knopper <knoppix@knopper.net>  Mon,  6 Nov 2006 23:33:15 +0100

ndiswrapper (1.23-1) unstable; urgency=low

  * New upstream release.

 -- Kel Modderman <kelrin@tpg.com.au>  Sat, 12 Aug 2006 21:11:06 +1000

ndiswrapper (1.22-1) unstable; urgency=low

  * New upstream release.
  * Stop carrying trivial patch series, new upstream changes allow this. Details
    follow.
  * Disable simple-patchsys cdbs class.
  * DIST_DESTDIR can be used in place of INST_DIR in rules.modules, and also
    disables depmod from being run.
  * The 'version' file has been removed, utils and driver versions are now
    defined in driver/ndiswrapper.h. Drop path fixup patch and adjust rules
    sed line to suit.
  * Remove custom clean: function in rules, there are no upstream debian files
    now.
  * Replace $(cdbs_curpkg) with real package name in debian/rules
    ndiswrapper-utils target.
  * Make /usr/sbin/ndiswrapper dash friendly. (Closes: #381544)

 -- Kel Modderman <kelrin@tpg.com.au>  Sun,  6 Aug 2006 01:47:51 +1000

ndiswrapper (1.21-1) unstable; urgency=low

  [Kel Modderman]
  * New upstream release. (Closes: #379685)
  * Add myself to Uploaders.
  * Bump Standards version to 3.7.2, debhelper compat level to 5.
  * Build depend on debhelper >=5.0.37 and use the dh_installmodules helper
    instead of the hand crafted postinst.modules.in (Closes: #377058)
  * Add NEWS file detailing the status of wpa_supplicant with recent
    ndiswrapper versions. (Closes: #372125)
  * Slightly modify the short descriptions for the binary packages. This
    probably does not go as far as the reporter would like, but its an
    improvement. (Closes: #364848)
  * Update the long description of the binary packages with the current blurb
    from the ndiswrapper homepage.
  * Add upstream URL to long descriptions of the binary packages.

 -- Kel Modderman <kelrin@tpg.com.au>  Wed, 26 Jul 2006 21:43:07 +1000

ndiswrapper (1.18-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@debian.org>  Sat, 01 Jul 2006 23:19:28 +0000

ndiswrapper (1.17-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@debian.org>  Tue, 06 Jun 2006 17:05:30 +0000

ndiswrapper (1.16-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright at Giridhar's request.
  * Drop postinst script that's meant to handle ndiswrapper < 1.0; 1.1-4
    is in sarge, so we no longer have to handle older upgrade paths.

 -- Andres Salomon <dilinger@debian.org>  Sun, 14 May 2006 06:50:22 +0000

ndiswrapper (1.15-1) unstable; urgency=low

  * New upstream release (closes: #358421).
  * Drop ndiswrapper-common's dependency on ndiswrapper-utils-*; that was
    accidental (closes: #365810).
  * Drop ndiswrapper-utils, and rename ndiswrapper-utils-1.7 to -1.8.
  * Override $(KBUILD) when building modules.
  * Fix typo in README.Debian (closes: #353021).

 -- Andres Salomon <dilinger@debian.org>  Mon, 08 May 2006 00:58:15 -0400

ndiswrapper (1.8-2) unstable; urgency=low

  * Add ndiswrapper-utils-1.7, and make ndiswrapper-utils a
    dummy/transitional package.  Handle conflicting files
    w/ wrapper scripts (loadndisdriver) and diversions.
  * Drop ndiswrapper-buginfo; there are some, er, issues w/ it.
  * Add ndiswrapper-common, for wrapper scripts.  Throw some manpages
    in w/ the wrapper scripts.
  * Update FSF copyright address to make lintian shut up.

 -- Andres Salomon <dilinger@debian.org>  Mon, 17 Apr 2006 16:54:17 -0400

ndiswrapper (1.8-1) unstable; urgency=low

  * New upstream release (closes: #345694).
 
 -- Andres Salomon <dilinger@debian.org>  Fri, 20 Jan 2006 22:30:55 +0000

ndiswrapper (1.5-1) unstable; urgency=low

  * New upstream release (closes: #337024).
 
 -- Andres Salomon <dilinger@debian.org>  Thu, 03 Nov 2005 05:15:30 +0000

ndiswrapper (1.4-1) unstable; urgency=low

  * New upstream release.
  * Add clean rule to nuke upstream's debian cruft.
 
 -- Andres Salomon <dilinger@debian.org>  Sat, 08 Oct 2005 21:24:07 -0400

ndiswrapper (1.2+1.3rc1-1) unstable; urgency=low

  * New upstream release.
  * Get rid of some bashisms in various scripts (closes: #307836).
 
 -- Andres Salomon <dilinger@debian.org>  Sun, 28 Aug 2005 04:52:13 -0400

ndiswrapper (1.1-4) unstable; urgency=low

  * Argh, missed a bit w/ amd64 support; it should build now.
 
 -- Andres Salomon <dilinger@debian.org>  Sun, 10 Apr 2005 15:32:12 -0400

ndiswrapper (1.1-3) unstable; urgency=low

  * Fix postinst in cases where an upgrade is being done, but
    /etc/ndiswrapper/* is empty (or non-existant) (closes: #303992).
  * Make ndiswrapper-modules' dep on -utils a little less strict.
 
 -- Andres Salomon <dilinger@debian.org>  Sun, 10 Apr 2005 08:05:17 -0400

ndiswrapper (1.1-2) unstable; urgency=low

  * Add amd64 support, by popular request (all 2 of you).
  * Since there are now multiple architectures; make -source package
    arch: all.
 
 -- Andres Salomon <dilinger@debian.org>  Fri, 08 Apr 2005 15:09:08 -0400

ndiswrapper (1.1-1) unstable; urgency=low

  * New upstream release; "Breaking Ian's machine" (closes: #300784).
  * Add /usr/sbin/ndiswrapper-buginfo.
  * Make generated ndiswrapper-modules package have a versioned depend
    on ndiswrapper-utils.. Just in case.
  * Add postinst to ndiswrapper-utils to deal w/ change in config file
    names.  Sigh.
  * Change ndiswrapper-modules provide to be versioned, so that
    ndiswrapper-utils can depend upon specific versions.
  * Update maintainer address.

 -- Andres Salomon <dilinger@debian.org>  Sat, 26 Mar 2005 03:42:05 -0500

ndiswrapper (0.12+1.0rc2-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@voxel.net>  Sun, 09 Jan 2005 19:40:16 -0500



=== modules/rt2x00-cvs-2006103115/debian/changelog ===
rt2x00-cvs (2006103115-1) unstable; urgency=low

  * Update to new upstream version.

 -- Klaus Knopper <knoppix@knopper.net>  Tue, 31 Oct 2006 23:57:01 +0100

rt2x00-cvs (2006082014-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Knoppix User <knoppix@Knoppix>  Sun, 20 Aug 2006 22:12:40 +0200

=== ndiswrapper/debian/changelog ===
ndiswrapper (1.28-1) unstable; urgency=low

  [ Kel Modderman ]
  * New upstream release.
  * Introduce m4 templates plus maintainer script (m4-control) to make
    adapting to new upstream ndiswrapper-utils versions easier.
  * Drop all debhelper files for ndiswrapper-utils-VERS, instead handle the
    installation of required files in debian/rules only.
  * Use distclean target in kdist_clean.
  * Change of co-maintainer email address.
  * Correctly annotate LGPL licensed portion of upstream files in
    debian/copyright.
  * Create /etc/ndiswrapper directory in ndiswrapper-common to stop
    `ndiswrapper -l' from complaining on first use.

  [ Andres Salomon ]
  * Ack NMU (closes: #389171).
  * Drop 01_shut_up_perl_debug.patch.

 -- Kel Modderman <kelmo@kanotixguide.org>  Mon, 30 Oct 2006 17:06:10 +1000

ndiswrapper (1.23-1.1) unstable; urgency=medium

  * Non-maintainer upload, BSP Zurich/Switzerland
  * Use now "make distclean" instead of "make clean" (Closes: #389171).

 -- Mario Iseli <admin@marioiseli.com>  Sat, 07 Oct 2006 15:31:45 +0200

=== rtai/debian/changelog ===
rtai (3.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace powerpc by ppc in debian/rules (Closes: #374846).

 -- Christoph Berg <myon@debian.org>  Fri, 15 Sep 2006 20:37:17 +0200

rtai (3.2-1) unstable; urgency=low

  * New upstream release
  * patched debian/rules for the new source directory layout
  * don't build kernel-patch-adeos from rtai sources anymore but create it as
    a seperate package from ADEOS' own repository
  * s/3.0/Magma/ in doc menu
  * add note about the 2.6.11 issue to README.Debian
  * add Conflicts/Replaces to the modules debian/control file
  * cleaned up a couple of lintian warnings for the package generated by
    compiling rtai-source (#! missing in run scripts, liblxrt.la not
    executable, description line, strip binaries, compress changelog,
    add copyright)

 -- Edelhard Becker <edelhard@debian.org>  Fri, 10 Jun 2005 01:02:25 +0200

rtai (3.1.0-4) unstable; urgency=high

  * added fork.o to the export-ojbs line, Closes: #307982: Kernel 2.4.27 does
    not build with Adeos patch (in fact the bug was in the ADEOS patches for
    all 2.4 kernels), thanks Ivan and Malte
  * urgency high due to grave severity of this bug

 -- Edelhard Becker <edelhard@debian.org>  Tue, 10 May 2005 19:08:54 +0200

rtai (3.1.0-3) unstable; urgency=low

  * applied Ivan Raikovs module-argument patch (Closes: #288260)
  * applied Ivan Raikovs module-load-failure patch (Closes: #288264)
  * added a note about creating the /dev/rtfN FIFO devices on first install;
    not done automatically because MAKEDEV doesn't support these entries
    (Closes: #289605), thanks Ivan for these three
  * added ${ROOT_CMD} to debian/rules commands for building modules as needed
    (Closes: #288643), thanks Jan

 -- Edelhard Becker <edelhard@debian.org>  Sun,  6 Mar 2005 14:59:14 +0100

rtai (3.1.0-2) unstable; urgency=low

  * added fork.o to 2.4.2[467] patchfiles also
  * added debhelper to dependencies of rtai-source
  * removed omitted directories rtai-compat and rtai-lab from GNUmakefile.in
    (thanks Wolfgang Koebler)
  * patched correct path into calibration and testsuite "run" scripts
    (thanks Wolfgang Koebler)

 -- Edelhard Becker <edelhard@debian.org>  Sun,  6 Mar 2005 02:33:47 +0100

rtai (3.1.0-1) unstable; urgency=low

  * New upstream release 3.1 final.
  * added http://download.gna.org/rtai/stable/v3/ to debian/copyright
  * Added fork.o to export-objs of kernel/Makefile patchfile snippet (as
    suggested); the rejection of arch/i386/kernel/Makefile can't be
    reproduced, the patch works fine with my fresh download of
    kernel-source-2.4.25.
    Closes: #273075: kernel-patch-adeos: Patch fails on kernel 2.4.25
  * Added user_moddir option to the rtai-load script, thanks Ivan Raikov for
    the patch; added a small paragraph to runinfo.txt for documentation.
    Closes: #273076: rtai-source: Additional module search directory
  * added debian/watch (which currently overrides the version to 3.1)

 -- Edelhard Becker <edelhard@debian.org>  Sun, 26 Sep 2004 15:29:30 +0200

rtai (3.1-test5-1) unstable; urgency=low

  * New upstream release
  * cleaned up building on supported architectures
    + create links mipsel->mips and powerpc->ppc in debian/rules
    + changed dh_installkpatchhes flag from -a to -s, Closes: #270508:
      rtai_3.1-test4-2(ia64/unstable): FTBFS: more porting work needed?

 -- Edelhard Becker <edelhard@debian.org>  Thu,  9 Sep 2004 17:14:19 +0200

rtai (3.1-test4-2) unstable; urgency=medium

  * Urgency due to fix for FTBFS. Added autotools-dev to the Build-Depends as
    suggested by Matt Kraai (Closes: #267709).

 -- Edelhard Becker <edelhard@debian.org>  Wed, 25 Aug 2004 15:04:13 +0200

rtai (3.1-test4-1) unstable; urgency=low

  * New upstream release
  * repackaged from CVS
  * debian/control: set Architecture for rtai-source, kernel-patch-adeos and
    rtai to "i386 powerpc mips mipsel arm" (Closes: #259262, #262400, well,
    sort-of. Build-deps are fixed too, see below)
  * temporarily moved references to RTAI-RefGuide.pdf out of rtai-doc (missing
    in this upstream release)
  * debian/control: with pbuilders help, cleaned up Build-deps
  * debian/rules: added stuff to clean target
  * added README.INSTALL and README.Debian to rtai-source and -doc

 -- Edelhard Becker <edelhard@debian.org>  Wed,  4 Aug 2004 13:58:05 +0200

rtai (3.1-test3-1) unstable; urgency=low

  * Initial Release (Closes: #197901, #197902, #197903, #197904).

 -- Edelhard Becker <edelhard@debian.org>  Tue, 22 Jun 2004 19:52:28 +0200

=== src/linux-headers-2.6.19/debian/changelog ===
linux-source-2.6.19 (2.6.19-10.00.Custom) unstable; urgency=low

  * This is a dummy changelog for packages generated by kernel-package. At
    some point, there shall be hooks for the user to substitute a
    changelog entry, but currently this is just a stub.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Aug 2006 16:37:36 -0500


Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: aufs-knoppix
Section: knoppix
Priority: optional
Maintainer: Klaus Knopper <knoppix@knopper.net>
Build-Depends: debhelper (>> 4.1.0), bzip2
Standards-Version: 3.6.1

Package: aufs-knoppix-utils
Architecture: i386
Recommends: kernel-image-2.6.18, aufs-knoppix-module-2.6.18
Provides: aufs-utils, unionfs-utils
Description: Aufs/Unionfs userspace utilities
 This package contains the aufs utilities for handling stacked directories
 via the aufs kernel module. You will probably also want to build and
 install the aufs module for your kernel.
 
Package: aufs-knoppix-modules-2.6.18
Architecture: i386
Recommends: kernel-image-2.6.18, aufs-utils
Provides: aufs-module, unionfs-modules, unionfs-module
Description: Aufs/Unionfs linux kernel module
 This package contains the aufs loadable kernel modules for the
 kernel-image-2.6.18 package.
 .
 Aufs is a rewrite of unionfs, the kernel module fr overlaying directories
 on top of each other, transparently. It is syntax-compatible with unionfs
 (except for the module name).
 .
 If you compiled a custom kernel, you will most likely need to compile a
 custom version of this module as well. The aufs-source
 package has been provided for this purpose.

=== loop-aes/debian/control ===
Source: loop-aes
Section: admin
Priority: optional
Maintainer: Debian Loop-AES Team <pkg-loop-aes-maint@lists.alioth.debian.org>
Uploaders: Max Vozeler <xam@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.0.0), module-assistant, bzip2, fakeroot

=== madwifi/debian/control ===
Source: madwifi
Section: non-free/net
Priority: optional
Maintainer: Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>, Kel Modderman <kelmo@kanotixguide.org>, Matt Brown <mattb@debian.org>, Alex Wallis <awol@otaku42.de>
Build-Depends: cdbs, debhelper (>= 5.0.37), bzip2, dpatch
Standards-Version: 3.7.2

Package: madwifi-source
Architecture: all
Depends: module-assistant, debhelper (>= 5.0.37), bzip2
Suggests: kernel-package, madwifi-tools, madwifi-doc
Description: source for the Multiband Atheros Driver for WiFi
 This package provides the source code for the madwifi kernel modules.
 The madwifi-tools package is also required in order to make use of these
 modules. Kernel source or headers are required to compile these modules.
 .
 http://madwifi.org/

Package: madwifi-doc
Section: non-free/doc
Replaces: madwifi-ng-doc
Architecture: all
Description: documentation for the Multiband Atheros Driver for WiFi
 This package provides the users-guide for the madwifi kernel modules and
 userspace tools. It is in pdf format.
 .
 http://madwifi.org/

=== modules/aufs-cvs/debian/control ===
Source: aufs-cvs
Section: knoppix
Priority: optional
Maintainer: Klaus Knopper <knoppix@knopper.net>
Build-Depends: debhelper (>> 4.1.0), bzip2
Standards-Version: 3.6.1

Package: aufs-cvs-utils
Architecture: i386
Recommends: kernel-image-2.6.19, aufs-cvs-modules-2.6.19
Provides: aufs-utils, unionfs-utils
Description: Aufs/Unionfs userspace utilities
 This package contains the aufs utilities for handling stacked directories
 via the aufs kernel module. You will probably also want to build and
 install the aufs module for your kernel.
 
Package: aufs-cvs-modules-2.6.19
Architecture: i386
Recommends: kernel-image-2.6.19, aufs-utils
Provides: aufs-module, unionfs-modules, unionfs-module
Description: Aufs/Unionfs linux kernel module
 This package contains the aufs loadable kernel modules for the
 kernel-image-2.6.19 package.
 .
 Aufs is a rewrite of unionfs, the kernel module fr overlaying directories
 on top of each other, transparently. It is syntax-compatible with unionfs
 (except for the module name).
 .
 If you compiled a custom kernel, you will most likely need to compile a
 custom version of this module as well. The aufs-source
 package has been provided for this purpose.

=== modules/loop-aes/debian/control ===
Source: loop-aes
Section: admin
Priority: optional
Maintainer: Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>> 4.0.0), module-assistant
Standards-Version: 3.7.2

Package: loop-aes-modules-2.6.19
Architecture: any
Depends: loop-aes-utils (>= 2.12p-1)
Recommends: loop-aes-testsuite, kernel-image-2.6.19 | linux-image-2.6.19
Replaces: loop-aes-2.6.19, loop-aes-ciphers-2.6.19
Conflicts: loop-aes-2.6.19, loop-aes-ciphers-2.6.19
Provides: loop-aes-modules
Description: loop-AES encryption modules for kernel 2.6.19
 This package provides the loop-AES encryption modules for the
 Linux kernel version 2.6.19.
 .
 loop-AES can be used to encrypt disk partitions, removable media, 
 swap space and other devices. It provides measures to strengthen
 the encryption: Passphrase seeds, multiple hash iterations, MD5 IV
 and use of alternating encryption keys.
 .
 Encryption keys can be stored in a GnuPG-encrypted keyfile, which
 allows the passphrase to be changed without re-encryption. Keyfiles
 can also be encrypted asymmetrically for multi-user access.
 . 
 This package includes the cipher modules blowfish, twofish and 
 serpent in addition to the default cipher (AES).
 .
 If you compiled a custom kernel, you will most likely need to
 compile a custom version of these modules as well. The package
 loop-aes-source has been provided for this purpose.

=== modules/madwifi-svn/debian/control ===
Source: madwifi
Section: non-free/net
Priority: optional
Maintainer: Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>, Kel Modderman <kelrin@tpg.com.au>, Matt Brown <debian@mattb.net.nz>, Alex Wallis <awol@otaku42.de>
Build-Depends: debhelper (>= 5.0.37), bzip2
Standards-Version: 3.7.2

Package: madwifi-modules-2.6.19
Architecture: any
Depends: madwifi-tools, linux-image-2.6.19 | kernel-image-2.6.19
Recommends: wireless-tools
Replaces: madwifi-ng-modules-2.6.19
Provides: madwifi-modules-2.6.19
Description: modules for the Multiband Atheros Driver for WiFi (kernel 2.6.19)
 This package contains the set of loadable kernel modules for Atheros
 based WiFi chipsets.
 .
 This package contains the compiled kernel modules for 2.6.19
 .
 If you have compiled your own kernel, you will most likely need to build
 your own madwifi-ng-modules. The madwifi-ng-source package has been
 provided for use with the Debian's module-assistant or kernel-package
 utilities to produce a version of madwifi-ng-module for your kernel.

=== modules/ndiswrapper-svn/debian/control ===
Source: ndiswrapper
Section: misc
Priority: optional
Maintainer: Andres Salomon <dilinger@debian.org>
Uploaders: Kel Modderman <kelrin@tpg.com.au>
Build-Depends: debhelper (>= 5.0.37), bzip2
Standards-Version: 3.7.2

Package: ndiswrapper-modules-2.6.19
Architecture: i386 amd64
Provides: ndiswrapper-common
Replaces: ndiswrapper-common
Provides: ndiswrapper-utils
Replaces: ndiswrapper-utils
Recommends: kernel-image-2.6.19
Description: Ndiswrapper linux kernel module
 This package contains the ndiswrapper loadable kernel modules for the
 kernel-image-2.6.19 package.
 .
 If you compiled a custom kernel, you will most likely need to compile a
 custom version of this module as well. The ndiswrapper-source
 package has been provided for this purpose.

=== modules/rt2x00-cvs-2006103115/debian/control ===
Source: rt2x00-cvs
Section: unknown
Priority: optional
Maintainer: Knoppix User <knoppix@Knoppix>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.7.2

Package: rt2x00-cvs-modules-2.6.19
Architecture: any
Provides: rt2x00-cvs-modules
Description: rt2x00-cvs modules for Linux (kernel 2.6.19).
 This package contains the set of loadable kernel modules for the
 <description>.
 .
 This package contains the compiled kernel modules for 2.6.19
 .
 If you have compiled your own kernel, you will most likely need to build
 your own rt2x00-cvs-modules. The rt2x00-cvs-source package has been
 provided for use with the Debian's module-assistant or kernel-package
 utilities to produce a version of rt2x00-cvs-module for your kernel.

=== src/linux-headers-2.6.19/debian/control ===
Source: linux-source-2.6.19
Section: devel
Priority: optional
Maintainer:  Klaus Knopper <knoppix@knopper.net>
Build-Depends: po-debconf, gettext, file
Standards-Version: 3.5.9.0

Package: linux-headers-2.6.19
Architecture: any
Depends: ${shlibs:Depends}
Section: devel
Priority: optional
Provides: linux-headers, linux-headers-2.6
Description: Header files related to Linux kernel, specifically,
 version 2.6.19
 .
 This package provides kernel header files for sites 
 that want the latest kernel headers for version 
 2.6.19.
 Please read 
 /usr/share/doc/linux-headers-2.6.19/debian.README.gz
 for details

Package: linux-source-2.6.19
Architecture: all
Section: devel
Priority: optional
Provides: linux-source, linux-source-2.6
Depends: binutils, bzip2, file
Recommends: libc6-dev | libc-dev, gcc, make, po-debconf, gettext
Suggests: libncurses-dev | ncurses-dev, kernel-package, xmlto
Description: Linux kernel source for version 2.6.19
 This package provides the source code for the Linux kernel, specifically,
 version 2.6.19.
 .
 You may configure the kernel to your setup by typing "make config"
 and following instructions, but you could get ncursesX.X-dev and try
 "make menuconfig" for a jazzier, and easier to use interface. There 
 are options to use QT or GNOME based configuration interfaces, but they
 need additional packages to be installed. Also, please read the detailed 
 documentation in the file README.headers.gz in the documentation directory
 /usr/share/doc/linux-source-2.6.19/.
 .
 If you wish to use this package to create a custom Linux kernel, then
 it is suggested that you investigate the package kernel-package,
 which has been designed to ease the task of creating kernel image
 packages. 

Package: linux-image-2.6.19
Architecture: i386
Section: base
Priority: optional
Provides: linux-image,  linux-image-2.6
Pre-Depends: debconf (>= 0.2.17) | debconf-2.0
Depends:  coreutils (>= 5.2.1)
Suggests:   fdutils, linux-doc-2.6.19 | linux-source-2.6.19 
Description: Linux kernel binary image for version 2.6.19
 This package contains the Linux kernel image for version 
 2.6.19.
 .
 It also contains the corresponding System.map file, and the modules
 built by the packager.  It also contains scripts that try to ensure
 that the system is not left in a unbootable state after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources. Please look at kernel-img.conf(5),
 and /usr/share/doc/kernel-package/README.gz  from the package kernel-package
 for details on how to tailor the  installation of this or any other kernel 
 image package

Package: linux-doc-2.6.19
Architecture: all
Section: doc
Priority: optional
Provides: linux-doc-2.6
Suggests: linux-image-2.6.19
Description: Linux kernel specific documentation for version 2.6.19
 This package provides various Readme's in the 2.6.19
 kernel Documentation/ subdirectory: these typically contain
 kernel-specific installation notes for some drivers. for
 example. Please see
 /usr/share/doc/linux-doc-X.X.XX/Documentation/00-INDEX
 for a list of contents.  Please also read the Changes file, as it
 contains information about the problems which may result by upgrading
 your kernel.

Package: linux-manual-2.6.19
Architecture: all
Section: doc
Priority: optional
Provides: linux-manual-2.6
Conflicts: linux-manual-2.6
Suggests: linux-image-2.6.19
Description: Linux kernel section 9 manual pages for version 2.6.19
 This package provides various Section 9 manual pages included with the kernel. 

Package: linux-uml-2.6.19
Architecture: i386
Section: base
Priority: optional
Provides: linux-uml,  linux-uml-2.6, user-mode-linux
Depends:  coreutils | fileutils (>= 4.0)
Suggests:   fdutils, kernel-doc-2.6.19 | kernel-source-2.6.19, uml-utilities
Conflicts: user-mode-linux (<= 2.6)
Replaces: user-mode-linux (<= 2.6)
Description: Linux uml kernel binary image for version 2.6.19
 This package contains the Linux uml kernel image for version 2.6.19
 and the modules built by the packager.  

Package: linux-xen0-2.6.19
Architecture: i386 
Section: base 
Priority: optional 
Provides: linux-xen0,  linux-xen0-2.6 
Depends:  coreutils | fileutils (>= 4.0) 
Suggests:   fdutils, linux-doc-2.6.19 | linux-source-2.6.19 
Description: Linux xen kernel binary image for version 2.6.19 
 This package contains the Linux xen kernel image for version 2.6.19 
 and the modules built by the packager.

Package: linux-xenu-2.6.19
Architecture: i386 
Section: base 
Priority: optional 
Provides: linux-xenu,  linux-xenu-2.6 
Depends:  coreutils | fileutils (>= 4.0) 
Suggests:   fdutils, linux-doc-2.6.19 | linux-source-2.6.19 
Description: Linux xen kernel binary image for version 2.6.19 
 This package contains the Linux xen kernel image for version 2.6.19 
 and the modules built by the  packager.

=== debian/aufs-knoppix-source/usr/src/modules/aufs-knoppix/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper. 
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# This version is for a hypothetical package that can build a kernel modules
# architecture-dependant package via make-kpkg, as well as an
# architecture-independent module source package, and other packages
# either dep/indep for things like common files or userspace components
# needed for the kernel modules.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1


CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

### KERNEL SETUP
### Setup the stuff needed for making kernel module packages
### taken from /usr/share/kernel-package/sample.module.rules

# Name of package
package		= aufs-knoppix
# KSRC is the location of the kernel source. This is the default value,
# when make-kpkg is used it will supply to real value
KSRC		= /usr/src/linux
# KDREV is the package-revision, as given to make-kpkg by the user.
# Just put a simply default value in here which we use when we test
# the packagebuilding without make-kpkg
ifeq ($(strip $(KDREV)),)
KDREV		= "test1.0"
endif

## Now to determine the kernel version, normally supplied by make-kpkg
ifeq ($(strip $(KVERS)),)
# Now we need to get the kernel-version somehow (we are not running
# under make-kpkg?)
ifeq ($(strip $(KSRC)),)
$(error Error. I do not know how to determine the kernel version)
else
kversion :=$(shell grep -E '^VERSION +=' $(KSRC)/Makefile 2>/dev/null | \
                 sed -e 's/[^0-9]*\([0-9]*\)/\1/')
kplevel  :=$(shell grep -E '^PATCHLEVEL +=' $(KSRC)/Makefile 2>/dev/null | \
                    sed -e 's/[^0-9]*\([0-9]*\)/\1/')
ksublevel:=$(shell grep -E '^SUBLEVEL +=' $(KSRC)/Makefile 2>/dev/null | \
                  sed -e 's/[^0-9]*\([0-9]*\)/\1/')
EXTRA_VERSION:=$(shell grep -E '^EXTRAVERSION +=' $(KSRC)/Makefile 2>/dev/null | \
                 sed -e 's/EXTRAVERSION[\t ]*=[\t ]*\(.*\)/\1/')
kextra:=$(strip $(EXTRA_VERSION))
HAVE_NEW_MODLIB:=$(shell grep -E '\(INSTALL_MOD_PATH\)' \
                            $(KSRC)/Makefile 2>/dev/null )

# If you want to have more than one kernel configuration per kernel
# version, set FLAVOUR in the top level kernel Makefile *before*
# invoking make-kpkg -- it will be appended to UTS_RELEASE in
# version.h (separated by a hyphen). This affects everything -- the
# names and versions of the image, source, headers, and doc packages,
# and where the modules are searched for in /lib/modules.

ifdef FLAVOUR
# uhm - should check if we really have a Makefile capable of Flavours?
endif

FLAVOUR:=$(shell grep ^FLAVOUR $(KSRC)/Makefile 2>/dev/null | \
                  perl -ple 's/FLAVOUR[\s:=]+//g')

ifneq ($(strip $(FLAVOUR)),)
INT_FLAV := -$(FLAVOUR)
FLAV_ARG := FLAVOUR=$(FLAVOUR)
else
INT_FLAV :=
FLAV_ARG :=
endif

## This is the replacement for FLAVOUR
ifneq ($(strip $(APPEND_TO_VERSION)),)
iatv := $(strip $(APPEND_TO_VERSION))
EXTRAV_ARG := EXTRAVERSION=${EXTRA_VERSION}${iatv}
else
iatv :=
EXTRAV_ARG :=
endif

KVERS = $(kversion).$(kplevel).$(ksublevel)$(kextra)$(iatv)$(INT_FLAV)

endif
endif

non_epoch_version=$(shell echo $(KVERS) | perl -pe 's/^\d+://')
epoch=$(shell echo $(KVERS) | perl -ne 'm/^(\d+:)/ && print $$1')

# We also need the package version
pversion	= $(shell sed -ne '1s/.*\((.*)\).*/\1/' debian/changelog)
pversion	= $(shell sed -ne '1s/.*(\(.*\)).*/\1/p' debian/changelog)

# MODDIR is the place where the final .deb package should be made. This is the
# default value, when make-kpkg is used it will supply to real value
MODDIR		= ..

pmodules = $(package)-modules-$(non_epoch_version)
psource = $(package)-source

# Prepares the package for distribution.  Intended for the kernel
# maintainer.
kdist: kdist_clean kdist_config kdist_image

# The kdist_configure target is called by make-kpkg modules_config. It
# should configure the module so it is ready for compilation (mostly
# useful for calling configure)
kdist_config:
	@echo Nothing to configure

# the kdist_image target is called by make-kpkg modules_image. It is
# responsible for compiling the module and creating the package. It
# should also clean up after making the module. Please note we use a
# seperate binary-modules target to make testing the package building
# easier
kdist_image:
	$(ROOT_CMD) $(MAKE) $(MFLAGS) -f debian/rules binary-modules
	$(MAKE) $(MFLAGS) -f debian/rules clean

# the kdist_clean target is called by make-kpkg modules_clean. It is
# responsible for cleaning up any changes that have been made by the
# other kdist_commands (except for the .deb files created).
kdist_clean:
	$(MAKE) $(MFLAGS) -f debian/rules clean

### end  KERNEL SETUP

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	# $(MAKE)

	touch build-arch-stamp

# the binary-modules target prepares the $(pmodules) package.
# It is called by make-kpkg and *not* during a normal build
binary-modules:
	export DH_OPTIONS='-p$(pmodules)'

	# Is this needed for setting up a Depends?
	#echo "kpkg:Package-Version=$(epoch)$(pversion)+$(non_epoch_version)" \
	#	 >> debian/$(package).substvars
	echo "_KVERS_=$(non_epoch_version)" > \
		debian/$(pmodules).substvars

	sed -e 's/_KVERS_/$(non_epoch_version)/g' debian/control.modules.in > debian/control
	sed -e 's/_KVERS_/$(non_epoch_version)/g' debian/postinst.modules.in > debian/postinst

	dh_testdir
	dh_testroot
	dh_clean -k

	# Build the module
	$(MAKE) -f local.mk KDIR="$(KSRC)"
	ln -nf fs/aufs/aufs.ko aufs.ko

	# Install the module
	# $(MAKE) install INSTALL_MOD_PATH=$(CURDIR)/debian/$(pmodules) DESTDIR=$(CURDIR)/debian/$(pmodules)
	install -d -m 755  $(CURDIR)/debian/$(pmodules)/lib/modules/$(KVERS)/kernel/fs/aufs
	-strip --strip-unneeded aufs.ko
	cp aufs.ko $(CURDIR)/debian/$(pmodules)/lib/modules/$(KVERS)/kernel/fs/aufs/
	install -d -m 755 $(CURDIR)/debian/$(pmodules)/sbin
	cp unionctl aufind.sh $(CURDIR)/debian/$(pmodules)/sbin/
	install -d -m 755 $(CURDIR)/debian/$(pmodules)/usr/share/man/man5
	install -m 644 util/aufs.5 $(CURDIR)/debian/$(pmodules)/usr/share/man/man5/
	ln -snf aufs.5 $(CURDIR)/debian/$(pmodules)/usr/share/man/man5/unionctl.5

	dh_installdebconf
	# FIXME dh_installdocs README
	dh_installchangelogs

	# We're not using this yet
	#dh_installmodules

	dh_installdeb
	#dh_gencontrol -- -v$(epoch)$(pversion)+$(non_epoch_version)+$(KDREV)
	dh_gencontrol -- -v$(epoch)$(pversion)
	dh_md5sums
	#dh_builddeb --destdir=$(KSRC)/..
	dh_builddeb --destdir=$(MODDIR)


build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	#dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Create the directories to install the source into
	dh_installdirs -p$(psource)  usr/src/modules/$(package)
	dh_installdirs -p$(psource)  usr/src/modules/$(package)/debian

	# Copy only the driver source to the proper location
	cp -a fs include ksize.patch local.mk nested__func__.patch README sflogo.html util debian/$(psource)/usr/src/modules/$(package)
	# Copy the needed debian/ pieces to the proper location
	cp debian/control.modules.in \
		debian/$(psource)/usr/src/modules/$(package)/debian/control.in

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper. 
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# This version is for a hypothetical package that can build a kernel modules
# architecture-dependant package via make-kpkg, as well as an
# architecture-independent module source package, and other packages
# either dep/indep for things like common files or userspace components
# needed for the kernel modules.
#

# Basename of module and package
name = aufs

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

### KERNEL SETUP
### Setup the stuff needed for making kernel module packages
### taken from /usr/share/kernel-package/sample.module.rules

# Name of package
package		= $(name)-cvs
# KSRC is the location of the kernel source. This is the default value,
# when make-kpkg is used it will supply to real value
KSRC		= /usr/src/linux
# KDREV is the package-revision, as given to make-kpkg by the user.
# Just put a simply default value in here which we use when we test
# the packagebuilding without make-kpkg
ifeq ($(strip $(KDREV)),)
KDREV		= "test1.0"
endif

## Now to determine the kernel version, normally supplied by make-kpkg
ifeq ($(strip $(KVERS)),)
# Now we need to get the kernel-version somehow (we are not running
# under make-kpkg?)
ifeq ($(strip $(KSRC)),)
$(error Error. I do not know how to determine the kernel version)
else
kversion :=$(shell grep -E '^VERSION +=' $(KSRC)/Makefile 2>/dev/null | \
                 sed -e 's/[^0-9]*\([0-9]*\)/\1/')
kplevel  :=$(shell grep -E '^PATCHLEVEL +=' $(KSRC)/Makefile 2>/dev/null | \
                    sed -e 's/[^0-9]*\([0-9]*\)/\1/')
ksublevel:=$(shell grep -E '^SUBLEVEL +=' $(KSRC)/Makefile 2>/dev/null | \
                  sed -e 's/[^0-9]*\([0-9]*\)/\1/')
EXTRA_VERSION:=$(shell grep -E '^EXTRAVERSION +=' $(KSRC)/Makefile 2>/dev/null | \
                 sed -e 's/EXTRAVERSION[\t ]*=[\t ]*\(.*\)/\1/')
kextra:=$(strip $(EXTRA_VERSION))
HAVE_NEW_MODLIB:=$(shell grep -E '\(INSTALL_MOD_PATH\)' \
                            $(KSRC)/Makefile 2>/dev/null )

# If you want to have more than one kernel configuration per kernel
# version, set FLAVOUR in the top level kernel Makefile *before*
# invoking make-kpkg -- it will be appended to UTS_RELEASE in
# version.h (separated by a hyphen). This affects everything -- the
# names and versions of the image, source, headers, and doc packages,
# and where the modules are searched for in /lib/modules.

ifdef FLAVOUR
# uhm - should check if we really have a Makefile capable of Flavours?
endif

FLAVOUR:=$(shell grep ^FLAVOUR $(KSRC)/Makefile 2>/dev/null | \
                  perl -ple 's/FLAVOUR[\s:=]+//g')

ifneq ($(strip $(FLAVOUR)),)
INT_FLAV := -$(FLAVOUR)
FLAV_ARG := FLAVOUR=$(FLAVOUR)
else
INT_FLAV :=
FLAV_ARG :=
endif

## This is the replacement for FLAVOUR
ifneq ($(strip $(APPEND_TO_VERSION)),)
iatv := $(strip $(APPEND_TO_VERSION))
EXTRAV_ARG := EXTRAVERSION=${EXTRA_VERSION}${iatv}
else
iatv :=
EXTRAV_ARG :=
endif

KVERS = $(kversion).$(kplevel).$(ksublevel)$(kextra)$(iatv)$(INT_FLAV)

endif
endif

non_epoch_version=$(shell echo $(KVERS) | perl -pe 's/^\d+://')
epoch=$(shell echo $(KVERS) | perl -ne 'm/^(\d+:)/ && print $$1')

# We also need the package version
pversion	= $(shell sed -ne '1s/.*\((.*)\).*/\1/' debian/changelog)
pversion	= $(shell sed -ne '1s/.*(\(.*\)).*/\1/p' debian/changelog)

# MODDIR is the place where the final .deb package should be made. This is the
# default value, when make-kpkg is used it will supply to real value
MODDIR		= ..

pmodules = $(package)-modules-$(non_epoch_version)
psource = $(package)-source
putils = $(package)-utils

# Prepares the package for distribution.  Intended for the kernel
# maintainer.
kdist: kdist_clean kdist_config kdist_image

# The kdist_configure target is called by make-kpkg modules_config. It
# should configure the module so it is ready for compilation (mostly
# useful for calling configure)
kdist_config:
	@echo Nothing to configure

# the kdist_image target is called by make-kpkg modules_image. It is
# responsible for compiling the module and creating the package. It
# should also clean up after making the module. Please note we use a
# seperate binary-modules target to make testing the package building
# easier
kdist_image:
	$(ROOT_CMD) $(MAKE) $(MFLAGS) CONFIG_AUFS_DEBUG= -f debian/rules binary-modules
	$(MAKE) $(MFLAGS) -f debian/rules clean

# the kdist_clean target is called by make-kpkg modules_clean. It is
# responsible for cleaning up any changes that have been made by the
# other kdist_commands (except for the .deb files created).
kdist_clean:
	$(MAKE) $(MFLAGS) -f debian/rules clean

### end  KERNEL SETUP

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	# $(MAKE)

	touch build-arch-stamp

# the binary-modules target prepares the $(pmodules) package.
# It is called by make-kpkg and *not* during a normal build
binary-modules:
	export DH_OPTIONS='-p$(pmodules)'

	# Is this needed for setting up a Depends?
	#echo "kpkg:Package-Version=$(epoch)$(pversion)+$(non_epoch_version)" \
	#	 >> debian/$(package).substvars
	echo "_KVERS_=$(non_epoch_version)" > \
		debian/$(pmodules).substvars

	sed -e 's/_KVERS_/$(non_epoch_version)/g' debian/control.in > debian/control
	sed -e 's/_KVERS_/$(non_epoch_version)/g' debian/postinst.modules.in > debian/postinst

	dh_testdir
	dh_testroot
	dh_clean -k

	# Build the module
	$(MAKE) -f local.mk CONFIG_AUFS_DEBUG= KDIR="$(KSRC)"
	ln -nf fs/$(name)/$(name).ko $(name).ko

	# Install the module
	# $(MAKE) install INSTALL_MOD_PATH=$(CURDIR)/debian/$(pmodules) DESTDIR=$(CURDIR)/debian/$(pmodules)
	install -d -m 755  $(CURDIR)/debian/$(pmodules)/lib/modules/$(KVERS)/kernel/fs/$(name)
	-strip --strip-unneeded $(name).ko
	cp $(name).ko $(CURDIR)/debian/$(pmodules)/lib/modules/$(KVERS)/kernel/fs/$(name)/
	install -d -m 755 $(CURDIR)/debian/$(putils)/sbin
	cp unionctl aufind.sh $(CURDIR)/debian/$(putils)/sbin/
	install -d -m 755 $(CURDIR)/debian/$(putils)/usr/share/man/man5
	install -m 644 util/$(name).5 $(CURDIR)/debian/$(putils)/usr/share/man/man5/
	ln -snf $(name).5 $(CURDIR)/debian/$(putils)/usr/share/man/man5/unionctl.5

	dh_installdebconf
	# FIXME dh_installdocs README
	dh_installchangelogs

	# We're not using this yet
	#dh_installmodules

	dh_installdeb
	#dh_gencontrol -- -v$(epoch)$(pversion)+$(non_epoch_version)+$(KDREV)
	dh_gencontrol -- -v$(epoch)$(pversion)
	dh_md5sums
	#dh_builddeb --destdir=$(KSRC)/..
	dh_builddeb --destdir=$(MODDIR)

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	#dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Create the directories to install the source into
	dh_installdirs -p$(psource)  usr/src/modules/$(package)
	dh_installdirs -p$(psource)  usr/src/modules/$(package)/debian

	# Copy only the driver source to the proper location
	cp -a fs include ksize.patch local.mk nested__func__.patch README sflogo.html util debian/$(psource)/usr/src/modules/$(package)

=== loop-aes/debian/rules ===
#!/usr/bin/make -f

# loop-AES build options
OPTIONS := KEYSCRUB=y RUNDM=n MODINST=n MODVERDIR=$(PWD)/symbols 

PACKAGE	:= loop-aes
MA_DIR  ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

PKGDIR  := debian/loop-aes-modules-$(KVERS)
DOCDIR  := $(PKGDIR)/usr/share/doc/loop-aes-modules-$(KVERS)

KV := $(shell echo "$(KVERS)" | sed -e 's/^\([2-9]\.[2-9]\)\..*/\1/')
ifeq (2.6,$(KV))
MODDIR  := $(PKGDIR)/lib/modules/$(KVERS)/updates
OPTIONS += USE_KBUILD=y
else
MODDIR  := $(PKGDIR)/lib/modules/$(KVERS)/kernel/drivers/block
endif

configure: prep-deb-files

kdist_config: configure

kdist_clean:
	$(ROOT_CMD) make -f debian/rules clean

build: build-stamp
build-stamp: configure
	$(MAKE) -C loop-AES $(OPTIONS) LINUX_SOURCE=$(KSRC)
	$(MAKE) -C ciphers $(OPTIONS) LINUX_SOURCE=$(KSRC)
	touch build-stamp

install: install-stamp
install-stamp: build
	# install modules
	m=loop; \
	for module in tmp-d-kbuild/$$m.ko $$m.ko $$m.o; do \
	    if [ -f loop-AES/$$module ]; then \
	        mod=`basename $$module`; \
	        install -m644 -b -D loop-AES/$$module $(MODDIR)/$$mod; \
		break; \
	    fi \
	done \

	# loop_*
	for m in loop_serpent loop_twofish loop_blowfish; do \
	    for module in tmp-d-kbuild/$$m.ko $$m.ko $$m.o; do \
		if [ -f ciphers/$$module ]; then \
		    mod=`basename $$module`; \
		    install -m644 -b -D ciphers/$$module $(MODDIR)/$$mod; \
		fi \
	    done \
	done

	touch install-stamp

binary-modules: configure build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs loop-AES/README
	dh_installchangelogs loop-AES/ChangeLog

	cp ciphers/README $(DOCDIR)/README.ciphers
	cp ciphers/ChangeLog $(DOCDIR)/changelog.ciphers

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) -C loop-AES clean
	$(MAKE) -C ciphers clean
	rm -f build-stamp install-stamp
	dh_clean

.PHONY: clean configure build binary-indep binary-arch binary binary-modules install kdist_config kdist_clean

# $Id: rules.modules 1879 2006-08-07 14:02:32Z max $

=== madwifi/debian/rules ===
#!/usr/bin/make -f

PACKAGE := madwifi-modules
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

# set ATH_RATE, rate module to link the module with 
# possible values for ATH_RATE are:-
# ath_rate/sample (default), ath_rate/onoe, ath_rate/amrr
ifeq ($(ATH_RATE),)
	ATH_RATE := ath_rate/sample
endif

.PHONY: kdist_config
kdist_config: prep-deb-files

.PHONY: binary-modules
binary-modules: kdist_config
	dh_testdir
	dh_testroot
	dh_clean -k
	
	# Build modules
	$(MAKE) -C $(CURDIR) modules \
	KERNELPATH=$(KSRC) KERNELRELEASE=$(KVERS) KERNELCONF=$(KSRC)/.config ATH_RATE=$(ATH_RATE)
	
	# Install modules
	$(MAKE) -C $(CURDIR) install-modules \
	KERNELPATH=$(KSRC) KERNELRELEASE=$(KVERS) KERNELCONF=$(KSRC)/.config ATH_RATE=$(ATH_RATE) \
	DESTDIR=$(CURDIR)/debian/$(PKGNAME) KMODPATH=/lib/modules/$(KVERS)/kernel/drivers/net

	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installmodules
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

.PHONY: kdist_clean
kdist_clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C $(CURDIR) clean \
	KERNELPATH=$(KSRC) KERNELRELEASE=$(KVERS) KERNELCONF=$(KSRC)/.config ATH_RATE=$(ATH_RATE)

=== modules/ndiswrapper-svn/debian/rules ===
#!/usr/bin/make -f

# module-assistant stuff
PACKAGE = ndiswrapper-modules
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

kdist_clean: prep-deb-files
	dh_clean
	$(MAKE) clean

kdist_config: prep-deb-files

binary-modules: kdist_config
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs lib/modules/$(KVERS)/misc
        
	# build and install the module
	$(MAKE) KPKG_EXTRAV_ARG=$(KPKG_EXTRAV_ARG) KSRC=$(KSRC) \
	KBUILD=$(KSRC) KVER=$(KVERS) \
	DESTDIR=`pwd`/debian/ndiswrapper-modules-$(KVERS) \
	DIST_DESTDIR=debian/ndiswrapper-modules-$(KVERS)/lib/modules/$(KVERS)/misc/ install
        
	dh_installdocs 
	dh_installchangelogs
	dh_installmodules
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

=== modules/rt2x00-cvs-2006103115/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

SHELL=/bin/bash

PACKAGE=rt2x00-cvs-modules

KSRC=/usr/src/linux
KVERS=$(shell awk '/^(VERSION|PATCHLEVEL|SUBLEVEL|EXTRAVERSION) /{if($$3){if(version){version=version "."};version=version $$3}}END{print version}' $(KSRC)/Makefile)

binary: binary-indep binary-arch binary-modules

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) KERNEL_DIR="$(KSRC)" KERNDIR=$(KSRC) utils
	touch build-stamp

binary-modules:
	# Is this needed for setting up a Depends?
	#echo "kpkg:Package-Version=$(epoch)$(pversion)+$(non_epoch_version)" \
	sed -e 's/_KVERS_/$(KVERS)/g' debian/control.modules.in > debian/control
	$(MAKE) KERNDIR=$(KSRC) KERNEL_DIR=$(KSRC) KVERSION=$(KVERS)
	dh_installdirs -p rt2x00-cvs-modules-$(KVERS) lib/modules/$(KVERS)/kernel/drivers/net/wireless/rt2x00
	cp *.ko $(CURDIR)/debian/rt2x00-cvs-modules-$(KVERS)/lib/modules/$(KVERS)/kernel/drivers/net/wireless/rt2x00/
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installchangelogs CHANGELOG -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) KERNDIR=$(KSRC) KERNEL_DIR="$(KSRC)" clean
	-dh_clean
	rm -rf debian/rt2x00-cvs-?.?.?* debian/rt2x00-cvs debian/rt2x00-cvs-modules debian/rt2x00-cvs-modules-?.?.* debian/*.files knoppix

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p rt2x00-cvs-utils usr/bin
	install -m 755 create_compressed_fs  $(CURDIR)/debian/rt2x00-cvs-utils/usr/bin/
#	install -m 755 advancecomp-1.9_create_compressed_fs/advfs  $(CURDIR)/debian/rt2x00-cvs-utils/usr/bin/
#	install -m 755 compressloop          $(CURDIR)/debian/rt2x00-cvs-utils/usr/bin/
	install -m 755 extract_compressed_fs $(CURDIR)/debian/rt2x00-cvs-utils/usr/bin/

install-src: configure-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p rt2x00-cvs-src usr/src/modules/rt2x00-cvs
	echo $$UID
	tar -cf - {Makefile,*.[ch],debian/{compat,control*,copyright,rules,dirs,changelog},CHANGELOG,README} | tar -x -C debian/rt2x00-cvs-src/usr/src/modules/rt2x00-cvs
	dh_fixperms -i
	cd debian/rt2x00-cvs-src/usr/src ; tar -cf - modules | bzip2 -9 > rt2x00-cvs.tar.bz2 ; rm -rf modules

binary-arch: build install build-deb

binary-indep: install-src build-indep

build-deb:
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a README
	dh_installchangelogs CHANGELOG -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

build-indep: configure-stamp install-src
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i README debian/README.Debian
	dh_installexamples -i
	dh_installchangelogs CHANGELOG -i
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

.PHONY: build clean binary-indep binary-arch binary kdist kdist_image kdist_configure kdist_clean kdist
.NOTPARALLEL:

=== ndiswrapper/debian/rules ===
#!/usr/bin/make -f

# module-assistant stuff
PACKAGE = ndiswrapper-modules
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

kdist_clean: prep-deb-files
	dh_clean
	$(MAKE) distclean

kdist_config: prep-deb-files

binary-modules: kdist_config
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs lib/modules/$(KVERS)/misc
        
	# build and install the module
	$(MAKE) KPKG_EXTRAV_ARG=$(KPKG_EXTRAV_ARG) KSRC=$(KSRC) \
	KBUILD=$(KSRC) KVER=$(KVERS) \
	DIST_DESTDIR=debian/ndiswrapper-modules-$(KVERS)/lib/modules/$(KVERS)/misc/ install
        
	dh_installdocs 
	dh_installchangelogs
	dh_installmodules
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

=== rtai/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that can build a kernel modules
# architecture-dependant package via make-kpkg, as well as an
# architecture-independent module source package, and other packages
# either dep/indep for things like common files or userspace components
# needed for the kernel modules.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH      = $(shell dpkg-architecture -qDEB_BUILD_ARCH | sed -e s/powerpc/ppc/)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# RTAIs own prefix handling
RTAI_PREFIX=/usr/lib/realtime

### KERNEL SETUP
### Setup the stuff needed for making kernel module packages
### taken from /usr/share/kernel-package/sample.module.rules

# Name of package
package		= rtai
# KSRC is the location of the kernel source. This is the default value,
# when make-kpkg is used it will supply to real value
KSRC		= /usr/src/linux
# KDREV is the package-revision, as given to make-kpkg by the user.
# Just put a simply default value in here which we use when we test
# the packagebuilding without make-kpkg
ifeq ($(strip $(KDREV)),)
KDREV		= "test1.0"
endif

## Now to determine the kernel version, normally supplied by make-kpkg
ifeq ($(strip $(KVERS)),)
# Now we need to get the kernel-version somehow (we are not running
# under make-kpkg?)
ifeq ($(strip $(KSRC)),)
$(error Error. I do not know how to determine the kernel version)
else
kversion :=$(shell egrep '^VERSION +=' $(KSRC)/Makefile 2>/dev/null | \
                 sed -e 's/[^0-9]*\([0-9]*\)/\1/')
kplevel  :=$(shell egrep '^PATCHLEVEL +=' $(KSRC)/Makefile 2>/dev/null | \
                    sed -e 's/[^0-9]*\([0-9]*\)/\1/')
ksublevel:=$(shell egrep '^SUBLEVEL +=' $(KSRC)/Makefile 2>/dev/null | \
                  sed -e 's/[^0-9]*\([0-9]*\)/\1/')
EXTRA_VERSION:=$(shell egrep '^EXTRAVERSION +=' $(KSRC)/Makefile 2>/dev/null | \
                 sed -e 's/EXTRAVERSION[\t ]*=[\t ]*\(.*\)/\1/')
kextra:=$(strip $(EXTRA_VERSION))
HAVE_NEW_MODLIB:=$(shell egrep '\(INSTALL_MOD_PATH\)' \
                            $(KSRC)/Makefile 2>/dev/null )

# If you want to have more than one kernel configuration per kernel
# version, set FLAVOUR in the top level kernel Makefile *before*
# invoking make-kpkg -- it will be appended to UTS_RELEASE in
# version.h (separated by a hyphen). This affects everything -- the
# names and versions of the image, source, headers, and doc packages,
# and where the modules are searched for in /lib/modules.

ifdef FLAVOUR
# uhm - should check if we really have a Makefile capable of Flavours?
endif

FLAVOUR:=$(shell grep ^FLAVOUR $(KSRC)/Makefile 2>/dev/null | \
                  perl -ple 's/FLAVOUR[\s:=]+//g')

ifneq ($(strip $(FLAVOUR)),)
INT_FLAV := -$(FLAVOUR)
FLAV_ARG := FLAVOUR=$(FLAVOUR)
else
INT_FLAV :=
FLAV_ARG :=
endif

## This is the replacement for FLAVOUR
ifneq ($(strip $(APPEND_TO_VERSION)),)
iatv := $(strip $(APPEND_TO_VERSION))
EXTRAV_ARG := EXTRAVERSION=${EXTRA_VERSION}${iatv}
else
iatv :=
EXTRAV_ARG :=
endif

KVERS = $(kversion).$(kplevel).$(ksublevel)$(kextra)$(iatv)$(INT_FLAV)

endif
endif

non_epoch_version=$(shell echo $(KVERS) | perl -pe 's/^\d+://')
epoch=$(shell echo $(KVERS) | perl -ne 'm/^(\d+:)/ && print $$1')

# We also need the package version
pversion	= $(shell sed -ne '1s/.*\((.*)\).*/\1/' debian/changelog)
pversion	= $(shell sed -ne '1s/.*(\(.*\)).*/\1/p' debian/changelog)

# KDIST_DEST_DIR is the place where the final .deb package should be made. This is the
# default value, when make-kpkg is used it will supply to real value
KDIST_DEST_DIR		= ..

pmodules = $(package)-modules-$(non_epoch_version)
psource = $(package)-source

# Prepares the package for distribution.  Intended for the kernel
# maintainer.
kdist: kdist_clean kdist_config kdist_image

# The kdist_configure target is called by make-kpkg modules_config. It
# should configure the module so it is ready for compilation (mostly
# useful for calling configure)
kdist_config: kdist_config-stamp
kdist_configure: kdist_config-stamp

# try to support all of RTAIs configuring interfaces
CONFIG_TARGET_IF=cli
ifeq ($(CONFIG_TARGET),menuconfig)
CONFIG_TARGET_IF=gui
endif
ifeq ($(CONFIG_TARGET),gconfig)
CONFIG_TARGET_IF=gui
endif
ifeq ($(CONFIG_TARGET),xconfig)
CONFIG_TARGET_IF=gui
endif

kdist_config-stamp:
	sed 's:/usr/realtime:$(RTAI_PREFIX):' base/arch/$(DEB_BUILD_ARCH)/defconfig.in \
		| sed 's:/usr/src/linux:$(KSRC):' \
		> $(CURDIR)/base/arch/$(DEB_BUILD_ARCH)/defconfig
ifeq ($(CONFIG_TARGET_IF),cli)
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
	       --build=$(DEB_BUILD_GNU_TYPE) --prefix=$(RTAI_PREFIX) \
	       --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	       --with-linux-dir=$(KSRC)
endif
ifeq ($(CONFIG_TARGET_IF),gui)
	$(MAKE) -f makefile $(CONFIG_TARGET)
endif
	touch kdist_config-stamp

# the kdist_image target is called by make-kpkg modules_image. It is
# responsible for compiling the module and creating the package. It
# should also clean up after making the module. Please note we use a
# seperate binary-modules target to make testing the package building
# easier
kdist_image:
	$(MAKE) $(MFLAGS) -f debian/rules binary-modules
	$(MAKE) $(MFLAGS) -f debian/rules clean

# the kdist_clean target is called by make-kpkg modules_clean. It is
# responsible for cleaning up any changes that have been made by the
# other kdist_commands (except for the .deb files created).
kdist_clean:
	$(MAKE) $(MFLAGS) -f debian/rules clean

### end  KERNEL SETUP

#build-arch:  config.status build-arch-stamp
build-arch:                 build-arch-stamp
build-arch-stamp:
	dh_testdir
	# nothing to do here
	touch build-arch-stamp

# the binary-modules target prepares the $(pmodules) package.
# It is called by make-kpkg and *not* during a normal build
binary-modules: kdist_config-stamp
	export DH_OPTIONS='-p$(pmodules)'

	# Is this needed for setting up a Depends?
	#echo "kpkg:Package-Version=$(epoch)$(pversion)+$(non_epoch_version)" \
	#	 >> debian/$(package).substvars
	echo "kpkg:Kernel-Version=$(non_epoch_version)" > \
		debian/$(pmodules).substvars

	# The substvars mechanism seems slightly broken, hack to get around it
	# stolen from the qce-ga package. Yaaaa!
	sed -e 's/$${kpkg\:Kernel\-Version}/$(non_epoch_version)/' \
	debian/control.in > debian/control

	dh_testdir
	${ROOT_CMD} dh_testroot
	dh_clean -k

	# Build the module
	$(MAKE)

	# Install the module
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# correct the strange, not-suitable-for-packaging, fs layout
	mv debian/tmp$(RTAI_PREFIX)/bin debian/tmp/usr
	mv debian/tmp$(RTAI_PREFIX)/lib/lib* debian/tmp/usr/lib
	#chmod -x debian/tmp/usr/lib/liblxrt.la
	rmdir debian/tmp$(RTAI_PREFIX)/lib
	dh_installdirs lib/modules/$(KVERS)/rtai
	mv debian/tmp$(RTAI_PREFIX)/modules/* debian/tmp/lib/modules/$(KVERS)/rtai
	rmdir debian/tmp$(RTAI_PREFIX)/modules

	${ROOT_CMD} dh_installdebconf
	${ROOT_CMD} dh_installchangelogs
	${ROOT_CMD} dh_installdocs
	${ROOT_CMD} dh_strip
	${ROOT_CMD} dh_compress
	${ROOT_CMD} dh_fixperms
	${ROOT_CMD} dh_makeshlibs
	${ROOT_CMD} dh_installdeb
	${ROOT_CMD} dh_shlibdeps -L liblxrt -l debian/tmp/usr/lib
	${ROOT_CMD} dh_gencontrol -- -v$(epoch)$(pversion)+$(KDREV)
	${ROOT_CMD} dh_md5sums
	${ROOT_CMD} dh_builddeb --destdir=$(KPKG_DEST_DIR)


#build-indep: config.status  build-indep-stamp
build-indep:                 build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-arch build-indep
